Name:           python-pkcs11
Version:        0.7.0
Release:        %mkrel 3
Summary:        PKCS#11 (Cryptoki) support for Python
Group:          Development/Python

License:        MIT
URL:            https://github.com/pyauth/python-pkcs11
Source:         %{pypi_source python-pkcs11}

BuildRequires:  python3-devel


%global _description %{expand:
A high level, "more Pythonic" interface to the PKCS#11 (Cryptoki) standard to
support HSM and Smartcard devices in Python.

The interface is designed to follow the logical structure of a HSM, with useful
defaults for obscurely documented parameters. Many APIs will optionally accept
iterables and act as generators, allowing you to stream large data blocks for
symmetric encryption.

python-pkcs11 also includes numerous utility functions to convert between
PKCS#11 data structures and common interchange formats including PKCS#1
and X.509.

python-pkcs11 is fully documented and has a full integration test suite for all
features, with continuous integration against multiple HSM platforms including:

    Thales nCipher
    Opencryptoki TPM
    OpenSC/Smartcard-HSM/Nitrokey HSM
}

%description %_description

%package -n     python3-python-pkcs11
Summary:        %{summary}

%description -n python3-python-pkcs11 %_description


%prep
%autosetup -p1 -n python-pkcs11-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files pkcs11


%check
%pyproject_check_import


%files -n python3-python-pkcs11 -f %{pyproject_files}
%doc README.rst
#license LICENSE



%changelog
* Wed Jul 02 2025 umeabot <umeabot> 0.7.0-3.mga10
+ Revision: 2240342
- Mageia 10 Mass Rebuild

* Sun Mar 02 2025 wally <wally> 0.7.0-2.mga10
+ Revision: 2157345
- rebuild for python3.13

* Fri Sep 20 2024 papoteur <papoteur> 0.7.0-1.mga10
+ Revision: 2099457
- import for superqt and spyder

